Subject: Re: bug#29157: 25.3; Eshell parsing fails sometimes, e.g. "date" and "sed"

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Nov 2017 05:35:06 +0200

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 25 Nov 2017 16:41:52 -0500
> 
> > and invoke the external command then.  If so, I'd agree.  But we
> > should then allow customization of the external command's name,
> > because on Windows it will be something like 'gdate', to avoid calling
> > the incompatible Windows shell's built-in (which also prompts
> > interactively for input).
> 
> I'm not in front of a Windows box at the moment, but I thought a cmd.exe
> builtin like that could only be invoked by doing calling "cmd /C date".

By default, yes.  But people tend to do weird things with shell setup
in Emacs.  And customization is an opt-in feature, so the default is
unaffected.